Proper closing of polygons in Marble's ClipPainter
ClosedPublic

Authored by dkolozsvari on Jul 21 2016, 9:10 PM.

Details

Reviewers
nienhueser
rahn
Summary

I managed to break down the many cases into a switch-case monster. The blank cases still needs to be filled in. Once that is done, the whole thing needs to be tested out properly, because there are way too many cases where something could go wrong.

Screenshot

Diff Detail

Repository
R34 Marble
Lint
Lint Skipped
Unit
Unit Tests Skipped
dkolozsvari retitled this revision from to Proper closing of polygons in Marble's ClipPainter.Jul 21 2016, 9:10 PM
dkolozsvari updated this object.
dkolozsvari edited the test plan for this revision. (Show Details)
dkolozsvari added reviewers: nienhueser, rahn.
dkolozsvari set the repository for this revision to R34 Marble.
dkolozsvari added a project: Marble.
dkolozsvari added a subscriber: Marble.

Updated the diff to the latest version, one-by-one the cases are getting solved, but there are still some issues left, like how to handle when there is no crossing point(ie. zoomed on the middle of the polygon).

dkolozsvari updated this revision to Diff 5569.Jul 30 2016, 5:22 AM

Updated to the latest changes. Still some way to go, but it's even better now.
There is only one main issue remaining(besides some smaller ones), to find a way to reimplement the clipMultiple() algorithm for polygons in order to draw corner points when there is no crossing point with the viewport. This was the main cause of the tile borderline issue btw, calling the clipMultiple() method for closed polygons.

nienhueser accepted this revision.Oct 22 2016, 7:57 AM

Discarded as planned as a preparation for VectorClipper

This revision is now accepted and ready to land.Oct 22 2016, 7:57 AM
nienhueser closed this revision.Oct 22 2016, 7:57 AM

Discarded as planned as a preparation for VectorClipper